summaryrefslogtreecommitdiff
path: root/extra/libart-lgpl
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/libart-lgpl
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/libart-lgpl')
-rw-r--r--extra/libart-lgpl/PKGBUILD20
-rw-r--r--extra/libart-lgpl/art_misc.h-cplusplus.patch35
2 files changed, 55 insertions, 0 deletions
diff --git a/extra/libart-lgpl/PKGBUILD b/extra/libart-lgpl/PKGBUILD
new file mode 100644
index 000000000..c7cdbfeac
--- /dev/null
+++ b/extra/libart-lgpl/PKGBUILD
@@ -0,0 +1,20 @@
+# $Id: PKGBUILD 75440 2010-04-01 15:34:56Z ibiru $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+pkgname=libart-lgpl
+pkgver=2.3.21
+pkgrel=1
+pkgdesc="A library for high-performance 2D graphics"
+url="http://www.levien.com/libart/"
+arch=(i686 x86_64)
+license=('LGPL')
+depends=('glibc')
+source=(http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/libart_lgpl-${pkgver}.tar.bz2)
+options=('!libtool')
+sha256sums=('fdc11e74c10fc9ffe4188537e2b370c0abacca7d89021d4d303afdf7fd7476fa')
+
+build() {
+ cd ${startdir}/src/libart_lgpl-${pkgver}
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
+}
diff --git a/extra/libart-lgpl/art_misc.h-cplusplus.patch b/extra/libart-lgpl/art_misc.h-cplusplus.patch
new file mode 100644
index 000000000..dea8eb0a0
--- /dev/null
+++ b/extra/libart-lgpl/art_misc.h-cplusplus.patch
@@ -0,0 +1,35 @@
+Index: art_misc.h
+===================================================================
+--- art_misc.h (revision 277)
++++ art_misc.h (working copy)
+@@ -34,9 +34,15 @@
+ #include <libart_lgpl/art_config.h>
+ #endif
+
++#ifdef __cplusplus
++extern "C" {
++#endif
+ void *art_alloc(size_t size);
+ void art_free(void *ptr);
+ void *art_realloc(void *ptr, size_t size);
++#ifdef __cplusplus
++}
++#endif /* __cplusplus */
+
+ /* These aren't, strictly speaking, configuration macros, but they're
+ damn handy to have around, and may be worth playing with for
+Index: ChangeLog
+===================================================================
+--- ChangeLog (revision 277)
++++ ChangeLog (working copy)
+@@ -1,3 +1,10 @@
++2007-03-01 Frederic Crozat <fcrozat@mandriva.com>
++
++ reviewed by: Dom Lachowicz <cinamod@hotmail.com>
++
++ * art_misc.h: Fix header when included in C++.
++ Patch from Goetz Waschk and Laurent Montel.
++
+ 2007-02-28 Kjartan Maraas <kmaraas@gnome.org>
+
+ configure.in: Release 2.3.19